Skip to main content
POST
Activate loan product (BR alias)

Authorizations

Authorization
string
header
required

JWT bearer token issued by the identity provider.

Path Parameters

id
string<uuid>
required

Loan product identifier.

Example:

"550e8400-e29b-41d4-a716-446655440000"

Body

application/json
versionId
string<uuid>
required

Loan product version to pin on activation.

Example:

"550e8400-e29b-41d4-a716-446655440001"

Response

OK

createdAt
string
required

Creation timestamp (RFC3339, UTC).

Example:

"2026-06-14T12:00:00Z"

id
string
required

Server-assigned loan product identifier (uuid).

Example:

"550e8400-e29b-41d4-a716-446655440009"

jurisdictionCode
string
required

Jurisdiction profile code (e.g. BR).

Example:

"BR"

loanType
string
required

Loan product type.

Example:

"personal"

name
string
required

Loan product display name.

status
string
required

Lifecycle status (e.g. draft|active).

Example:

"active"

currentVersionId
string

Identifier (uuid) of the pinned active version; empty until activation.

Example:

"550e8400-e29b-41d4-a716-44665544000a"